Bug 1336350 (CVE-2016-1546) - CVE-2016-1546 httpd: mod_http2 denial-of-service by thread starvation
Summary: CVE-2016-1546 httpd: mod_http2 denial-of-service by thread starvation
Status: NEW
Alias: CVE-2016-1546
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20160411,repor...
Keywords: Reopened, Security
Depends On: 1336351 1425470
Blocks: 1336352
TreeView+ depends on / blocked
 
Reported: 2016-05-16 08:54 UTC by Andrej Nemec
Modified: 2019-01-02 22:42 UTC (History)
45 users (show)

(edit)
A denial of service flaw was found in httpd's mod_http2 module. A remote attacker could use this flaw to block server threads for long times, causing starvation of worker threads, by manipulating the flow control windows on streams.
Clone Of:
(edit)
Last Closed: 2016-05-31 08:43:58 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1161 normal SHIPPED_LIVE Moderate: httpd24-httpd security, bug fix, and enhancement update 2017-04-26 14:19:21 UTC

Description Andrej Nemec 2016-05-16 08:54:19 UTC
A vulnerability was found in httpd. By manipulating the flow control windows on streams, a client was able to block server threads for long times, causing starvation of worker threads. Connections could still be opened, but no streams where processed for these. This issue affected HTTP/2 support in 2.4.17 and 2.4.18.

External references:

http://httpd.apache.org/security/vulnerabilities_24.html

Comment 1 Andrej Nemec 2016-05-16 08:54:46 UTC
Created httpd tracking bugs for this issue:

Affects: fedora-all [bug 1336351]

Comment 2 Tomas Hoger 2016-05-16 11:39:22 UTC
Upstream commit:

http://svn.apache.org/viewvc?view=revision&revision=1733727

Backported to 2.4.x branch via:

http://svn.apache.org/viewvc?view=revision&revision=1734413

Included in 2.4.19, which was not released.

Comment 5 errata-xmlrpc 2017-04-26 10:22:06 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 6.7 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.3 EUS

Via RHSA-2017:1161 https://access.redhat.com/errata/RHSA-2017:1161


Note You need to log in before you can comment on or make changes to this bug.